<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<meta charset="utf-8" />
<title>Creazione nuova classe</title>
</head>
<body>
<div align="center" th:if="${errorMessage}">
    <div class="text-danger" th:text="${errorMessage}"></div>
</div>
  
    <div align="center" >
        <br />
        
    
	<h1>Registrazione nuova classe</h1>

    
    <form action="#" th:action="@{/creaClasse}" th:object="${classe}"  method="post">
		<div class="form-group">
        <p><input type="hidden" id="idClasse" th:field="*{idClasse}"/></p>
        <div align="left" class="col-md-4">
		<hr/>
	    <p><b>Nome classe</b> <input class="form-control" th:classappend="${#fields.hasErrors('nomeClasse')}? is-invalid : ''" type="text" id="nomeClasse" placeholder="Es. 1A" th:field="*{nomeClasse}"/>
	    <span class="text-danger" th:if="${#fields.hasErrors('nomeClasse')}" th:errors="*{nomeClasse}">Incorrect name</span></p>
	    
	    <p><b>Numero studenti</b> <input class="form-control" type="text" id="numeroStudenti" th:field="*{numeroStudenti}"/></p>
	    </div>
	    <p><input class="btn btn-primary" type="submit" value="Registra" /></p>
        </div>
    </form>
	
	
    
    
</body>
</html>